using BeWo.Report;
using BeWo.Report.ReportObjects;

using DevExpress.XtraReports.UI;

namespace VKMAachen
{
    public partial class ServiceInvoiceReport : XtraReport, IBeWoReport<ServiceInvoiceRO>
    {
        public ServiceInvoiceReport()
        {
            InitializeComponent();
        }

        public void SetReportDataSource(ServiceInvoiceRO pRO)
        {
			pRO.SenderContactPersonPhone = pRO.SenderContactPersonPhone.Remove(0, 6);
			pRO.SenderContactPersonFax = pRO.SenderContactPersonFax.Remove(0, 5);
			pRO.SenderContactPersonMail = pRO.SenderContactPersonMail.Remove(0, 9);
			
            bindingSource1.DataSource = pRO;
        }
    }
}